--- tools/purge/purge.cc.orig   2017-06-12 08:33:35 -0500
+++ tools/purge/purge.cc        2017-06-12 08:34:44 -0500
@@ -121,6 +121,7 @@
 #include <netinet/tcp.h>
 #include <arpa/inet.h>
 #include <netdb.h>
+#include "../../compat/psignal.c"

 #include "conffile.hh"
 #include "convert.hh"

--- tools/squidclient/Transport.cc.orig	2018-03-13 06:48:04 -0400
+++ tools/squidclient/Transport.cc	2018-03-09 05:08:18 -0500
@@ -11,6 +11,7 @@
 #include "ip/tools.h"
 #include "tools/squidclient/Ping.h"
 #include "tools/squidclient/Transport.h"
+#include "../../getopt_long.c"
 
 #if HAVE_GETOPT_H
 #include <getopt.h>
--- tools/squidclient/Ping.cc.orig	2018-03-13 06:48:20 -0400
+++ tools/squidclient/Ping.cc	2018-03-09 06:40:07 -0500
@@ -10,6 +10,7 @@
 #include "SquidTime.h"
 #include "tools/squidclient/Parameters.h"
 #include "tools/squidclient/Ping.h"
+#include "../../getopt_long.c"
 
 #include <climits>
 #include <csignal>
--- tools/squidclient/squidclient.cc.orig	2018-03-13 06:57:00 -0400
+++ tools/squidclient/squidclient.cc	2018-03-13 06:47:41 -0400
@@ -15,6 +15,8 @@
 #include "tools/squidclient/Parameters.h"
 #include "tools/squidclient/Ping.h"
 #include "tools/squidclient/Transport.h"
+#include "../../getopt_long.c"
+#include "../../src/fde.h"
 
 #if _SQUID_WINDOWS_
 /** \cond AUTODOCS-IGNORE */

--- tools/Makefile.in.orig	2017-12-19 09:10:07 -0500
+++ tools/Makefile.in	2017-12-19 09:12:54 -0500
@@ -169,7 +169,13 @@
 	cachemgr__CGIEXT_-stub_debug.$(OBJEXT) \
 	cachemgr__CGIEXT_-stub_mem.$(OBJEXT) \
 	cachemgr__CGIEXT_-test_tools.$(OBJEXT) \
-	cachemgr__CGIEXT_-time.$(OBJEXT)
+	cachemgr__CGIEXT_-time.$(OBJEXT) \
+    ../src/*.o ../src/DiskIO/AIO/*.o \
+    ../src/DiskIO/Blocking/*.o ../src/DiskIO/DiskDaemon/*.o \
+    ../src/DiskIO/*.o ../src/DiskIO/DiskThreads/*.o \
+    ../src/DiskIO/IpcIo/*.o ../src/DiskIO/Mmapped/*.o \
+    ../src/repl/lru/*.o ../src/icmp/Icmp.o \
+    ../src/tests/stub_libauth_acls.o
 cachemgr__CGIEXT__OBJECTS = $(am_cachemgr__CGIEXT__OBJECTS)
 cachemgr__CGIEXT__LDADD = $(LDADD)
 @ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
@@ -750,6 +756,31 @@
 	$(top_builddir)/src/ip/libip.la \
 	$(top_builddir)/lib/libmiscencoding.la \
 	$(top_builddir)/lib/libmiscutil.la \
+    ../lib/snmplib/libsnmplib.la \
+    ../src/mgr/libmgr.la \
+    ../src/log/liblog.la \
+    ../src/ipc/libipc.la \
+    ../src/ident/libident.la \
+    ../src/ftp/libftp.la \
+    ../src/fs/libfs.la \
+    ../src/format/libformat.la \
+    ../src/eui/libeui.la \
+    ../src/base/libbase.la \
+    ../src/icmp/libicmp.la \
+    ../src/anyp/libanyp.la \
+    ../src/adaptation/libadaptation.la \
+    ../src/acl/libapi.la \
+    ../src/acl/libacls.la \
+    ../src/acl/libstate.la \
+    ../src/libsquid.la \
+    ../src/clients/libclients.la \
+    ../src/comm/libcomm.la \
+    ../src/helper/libhelper.la \
+    ../src/http/libsquid-http.la \
+    ../src/servers/libservers.la \
+    ../src/parser/libsquid-parser.la \
+    ../lib/libmisccontainers.la \
+    ../src/snmp/libsnmp.la \
 	$(COMPAT_LIB) \
 	$(NETTLELIB) \
 	$(KRB5LIBS) \

--- tools/squidclient/Makefile.in.orig	2017-12-20 04:02:38 -0500
+++ tools/squidclient/Makefile.in	2017-12-20 04:07:06 -0500
@@ -163,7 +163,13 @@
 PROGRAMS = $(bin_PROGRAMS)
 am_squidclient_OBJECTS = gssapi_support.$(OBJEXT) Ping.$(OBJEXT) \
 	squidclient.$(OBJEXT) stub_debug.$(OBJEXT) \
-	test_tools.$(OBJEXT) time.$(OBJEXT) Transport.$(OBJEXT)
+	test_tools.$(OBJEXT) time.$(OBJEXT) Transport.$(OBJEXT) \
+	../../src/*.o ../../src/DiskIO/AIO/*.o \
+	../../src/DiskIO/Blocking/*.o ../../src/DiskIO/DiskDaemon/*.o \
+	../../src/DiskIO/*.o ../../src/DiskIO/DiskThreads/*.o \
+	../../src/DiskIO/IpcIo/*.o ../../src/DiskIO/Mmapped/*.o \
+	../../src/repl/lru/*.o ../../src/icmp/Icmp.o \
+	../../src/tests/stub_libauth_acls.o
 squidclient_OBJECTS = $(am_squidclient_OBJECTS)
 squidclient_LDADD = $(LDADD)
 @ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
@@ -755,6 +761,31 @@
 	$(top_builddir)/src/ip/libip.la \
 	$(top_builddir)/lib/libmiscencoding.la \
 	$(top_builddir)/lib/libmiscutil.la \
+	../../lib/snmplib/libsnmplib.la \
+	../../src/mgr/libmgr.la \
+	../../src/log/liblog.la \
+	../../src/ipc/libipc.la \
+	../../src/ident/libident.la \
+	../../src/ftp/libftp.la \
+	../../src/fs/libfs.la \
+	../../src/format/libformat.la \
+	../../src/eui/libeui.la \
+	../../src/base/libbase.la \
+	../../src/icmp/libicmp.la \
+	../../src/anyp/libanyp.la \
+	../../src/adaptation/libadaptation.la \
+	../../src/acl/libapi.la \
+	../../src/acl/libacls.la \
+	../../src/acl/libstate.la \
+	../../src/libsquid.la \
+	../../src/clients/libclients.la \
+	../../src/comm/libcomm.la \
+	../../src/helper/libhelper.la \
+	../../src/http/libsquid-http.la \
+	../../src/servers/libservers.la \
+	../../src/parser/libsquid-parser.la \
+	../../lib/libmisccontainers.la \
+	../../src/snmp/libsnmp.la \
 	$(COMPAT_LIB) \
 	$(LIBGNUTLS_LIBS) \
 	$(NETTLELIB) \
